Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.lang.management
Interface MemoryMXBean

All Superinterfaces:
  java.lang.management.MemoryMXBean

    public interface MemoryMXBean

extends java.lang.management.MemoryMXBean

The IBM-specific interface for monitoring the virtual machine's memory management system.

Since:
  1.5

Method Summary
`java.lang.String` | `getGCMode()` Returns the current GC mode as a human-readable string.
`long` | `getMaxHeapSize()` Get the current maximum heap size in bytes.
`long` | `getMaxHeapSizeLimit()` Get the maximum size in bytes to which the max heap size could be increased in the currently running VM.
`long` | `getMinHeapSize()` Get the minimum heap size in bytes.
`boolean` | `isSetMaxHeapSizeSupported()` Query whether the VM supports runtime reconfiguration of the maximum heap size through the setMaxHeapSize() call.
`void` | `setMaxHeapSize(long size)` Set the current maximum heap size to `size`.

Methods inherited from interface java.lang.management.MemoryMXBean
`gc, getHeapMemoryUsage, getNonHeapMemoryUsage, getObjectPendingFinalizationCount, isVerbose, setVerbose`

Method Detail

### getMaxHeapSizeLimit

    long getMaxHeapSizeLimit()

  Get the maximum size in bytes to which the max heap size could be increased in the currently running VM. This may be larger than the current max heap size.

  Returns:
    value of -Xmx in bytes

### getMaxHeapSize

    long getMaxHeapSize()

  Get the current maximum heap size in bytes.

  Returns:
    current value of -Xsoftmx in bytes

### getMinHeapSize

    long getMinHeapSize()

  Get the minimum heap size in bytes.

  Returns:
    value of -Xms in bytes

### setMaxHeapSize

    void setMaxHeapSize(long size)

  Set the current maximum heap size to `size`. The parameter specifies the max heap size in bytes and must be between getMinHeapSize() and getMaxHeapSizeLimit(). If this operation is not supported, this method will throw UnsupportedOperationException.

  Parameters:
    `size` - new -Xsoftmx value in bytes

### isSetMaxHeapSizeSupported

    boolean isSetMaxHeapSizeSupported()

  Query whether the VM supports runtime reconfiguration of the maximum heap size through the setMaxHeapSize() call.

  Returns:
    true if setMaxHeapSize is supported, false otherwise

### getGCMode

    java.lang.String getGCMode()

  Returns the current GC mode as a human-readable string.

  Returns:
    a String describing the mode the GC is currently operating in

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD